# SocketTimeoutException Class Reference

Inherits InterruptedIOException.

List of all members.

## Detailed Description

Signals that an I/O operation has been interrupted.

An InterruptedIOException is thrown to indicate that an input or output transfer has been terminated because the thread performing it was interrupted. The field bytesTransferred indicates how many bytes were successfully transferred before the interruption occurred.

## Public Member Functions

| SocketTimeoutException ()
| SocketTimeoutException (const SocketTimeoutException &)
SocketTimeoutException & | operator= (const SocketTimeoutException &)

## Constructor & Destructor Documentation

SocketTimeoutException | ( |  | ) |

SocketTimeoutException | ( | const SocketTimeoutException & |  | ) |

## Member Function Documentation

SocketTimeoutException& operator= | ( | const SocketTimeoutException & |  | ) |

The documentation for this class was generated from the following file:

- exception.h